// ResizeDialogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ResizeDialog.h"
#include "ResizeDialogDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CResizeDialogDlg dialog

CResizeDialogDlg::CResizeDialogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CResizeDialogDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CResizeDialogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}


void CResizeDialogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CResizeDialogDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CResizeDialogDlg, CDialog)
	//{{AFX_MSG_MAP(CResizeDialogDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResizeDialogDlg message handlers

BOOL CResizeDialogDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
    // Initialize anchors
    m_Anchors.AddAnchor(m_hWnd, IDC_TITLE, akLeft | akTop | akRight);
    
    m_Anchors.AddAnchorEx(m_hWnd, IDC_LISTVIEW_LEFT,   0, 0, 33, 100);
    m_Anchors.AddAnchorEx(m_hWnd, IDC_LISTVIEW_MIDDLE, 33, 0, 66, 100);
    m_Anchors.AddAnchorEx(m_hWnd, IDC_LISTVIEW_RIGHT,  66, 0, 100, 100);
    
    m_Anchors.AddAnchor(m_hWnd, IDC_LISTVIEW_LEFT2, akLeft | akRightCenter | akBottom);
    m_Anchors.AddAnchor(m_hWnd, IDC_LISTVIEW_RIGHT2, akLeftCenter | akRight | akBottom);
    
    m_Anchors.AddAnchor(m_hWnd, IDC_LISTVIEW, akLeft | akRight | akBottom);
    
    m_Anchors.AddAnchor(m_hWnd, IDOK, akRight | akBottom);
    m_Anchors.AddAnchor(m_hWnd, IDCANCEL, akRight | akBottom);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CResizeDialogDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);

    // Apply all anchors
    m_Anchors.AnchorAllObjects();
}
